Hello all,

I am working on a Windows 7 64 bit OS with Python 3.5.4. I'm having a problem installing zipline.

When I install zipline using pip (python -m pip install zipline) I get this output:
Code:
Collecting zipline
  Using cached zipline-1.1.1.tar.gz
    Complete output from command python setup.py egg_info:
    Unable to find pgen, not compiling formal grammar.
    warning: no files found matching 'Doc\*'
    warning: no files found matching '*.pyx' under directory 'Cython\Debugger\Tests'
    warning: no files found matching '*.pxd' under directory 'Cython\Debugger\Tests'
    warning: no files found matching '*.pxd' under directory 'Cython\Utility'
    Scanners.c
    C:\Users\Dominic\AppData\Local\Temp\easy_install-ysjfyyah\Cython-0.26.1\Cython\Plex\Scanners.c(2771): warning C4244: '=': conversion from 'Py_ssiz
e_t' to 'long', possible loss of data
    C:\Users\Dominic\AppData\Local\Temp\easy_install-ysjfyyah\Cython-0.26.1\Cython\Plex\Scanners.c(2781): warning C4244: '=': conversion from 'Py_ssiz
e_t' to 'long', possible loss of data
    C:\Users\Dominic\AppData\Local\Temp\easy_install-ysjfyyah\Cython-0.26.1\Cython\Plex\Scanners.c(2791): warning C4244: '=': conversion from 'Py_ssiz
e_t' to 'long', possible loss of data
    C:\Users\Dominic\AppData\Local\Temp\easy_install-ysjfyyah\Cython-0.26.1\Cython\Plex\Scanners.c(2823): warning C4244: '=': conversion from 'Py_ssiz
e_t' to 'long', possible loss of data
    C:\Users\Dominic\AppData\Local\Temp\easy_install-ysjfyyah\Cython-0.26.1\Cython\Plex\Scanners.c(2845): warning C4244: '=': conversion from 'Py_ssiz
e_t' to 'long', possible loss of data
    C:\Users\Dominic\AppData\Local\Temp\easy_install-ysjfyyah\Cython-0.26.1\Cython\Plex\Scanners.c(2859): warning C4244: '=': conversion from 'Py_ssiz
e_t' to 'long', possible loss of data
    C:\Users\Dominic\AppData\Local\Temp\easy_install-ysjfyyah\Cython-0.26.1\Cython\Plex\Scanners.c(3242): warning C4244: '=': conversion from 'Py_ssiz
e_t' to 'long', possible loss of data
    C:\Users\Dominic\AppData\Local\Temp\easy_install-ysjfyyah\Cython-0.26.1\Cython\Plex\Scanners.c(3318): warning C4244: '=': conversion from 'Py_ssiz
e_t' to 'long', possible loss of data
    Scanners.obj : warning LNK4197: export 'PyInit_Scanners' specified multiple times; using first specification
       Creating library build\temp.win-amd64-3.5\Release\Users\Dominic\AppData\Local\Temp\easy_install-ysjfyyah\Cython-0.26.1\Cython\Plex\Scanners.cp3
5-win_amd64.lib and object build\temp.win-amd64-3.5\Release\Users\Dominic\AppData\Local\Temp\easy_install-ysjfyyah\Cython-0.26.1\Cython\Plex\Scanners.
cp35-win_amd64.exp
    Generating code
    Finished generating code
    LINK : fatal error LNK1158: cannot run 'rc.exe'
    Traceback (most recent call last):
      File "C:\Python\Python35\lib\distutils\_msvccompiler.py", line 478, in link
        self.spawn([self.linker] + ld_args)
      File "C:\Python\Python35\lib\distutils\_msvccompiler.py", line 501, in spawn
        return super().spawn(cmd)
      File "C:\Python\Python35\lib\distutils\ccompiler.py", line 909, in spawn
        spawn(cmd, dry_run=self.dry_run)
      File "C:\Python\Python35\lib\distutils\spawn.py", line 38, in spawn
        _spawn_nt(cmd, search_path, dry_run=dry_run)
      File "C:\Python\Python35\lib\distutils\spawn.py", line 81, in _spawn_nt
        "command %r failed with exit status %d" % (cmd, rc))
    distutils.errors.DistutilsExecError: command 'C:\\Program Files (x86)\\Microsoft Visual Studio 14.0\\VC\\BIN\\x86_amd64\\link.exe' failed with exi
t status 1158

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "C:\Python\Python35\lib\distutils\core.py", line 148, in setup
        dist.run_commands()
      File "C:\Python\Python35\lib\distutils\dist.py", line 955, in run_commands
        self.run_command(cmd)
      File "C:\Python\Python35\lib\distutils\dist.py", line 974, in run_command
        cmd_obj.run()
      File "C:\Python\Python35\lib\site-packages\setuptools\command\bdist_egg.py", line 161, in run
        cmd = self.call_command('install_lib', warn_dir=0)
      File "C:\Python\Python35\lib\site-packages\setuptools\command\bdist_egg.py", line 147, in call_command
        self.run_command(cmdname)
      File "C:\Python\Python35\lib\distutils\cmd.py", line 313, in run_command
        self.distribution.run_command(command)
      File "C:\Python\Python35\lib\distutils\dist.py", line 974, in run_command
        cmd_obj.run()
      File "C:\Python\Python35\lib\site-packages\setuptools\command\install_lib.py", line 11, in run
        self.build()
      File "C:\Python\Python35\lib\distutils\command\install_lib.py", line 107, in build
        self.run_command('build_ext')
      File "C:\Python\Python35\lib\distutils\cmd.py", line 313, in run_command
        self.distribution.run_command(command)
      File "C:\Python\Python35\lib\distutils\dist.py", line 974, in run_command
        cmd_obj.run()
      File "C:\Users\Dominic\AppData\Local\Temp\easy_install-ysjfyyah\Cython-0.26.1\Cython\Distutils\old_build_ext.py", line 185, in run
      File "C:\Python\Python35\lib\distutils\command\build_ext.py", line 339, in run
        self.build_extensions()
      File "C:\Users\Dominic\AppData\Local\Temp\easy_install-ysjfyyah\Cython-0.26.1\Cython\Distutils\old_build_ext.py", line 193, in build_extensions
      File "C:\Python\Python35\lib\distutils\command\build_ext.py", line 558, in build_extension
        target_lang=language)
      File "C:\Python\Python35\lib\distutils\ccompiler.py", line 717, in link_shared_object
        extra_preargs, extra_postargs, build_temp, target_lang)
      File "C:\Python\Python35\lib\distutils\_msvccompiler.py", line 481, in link
        raise LinkError(msg)
    distutils.errors.LinkError: command 'C:\\Program Files (x86)\\Microsoft Visual Studio 14.0\\VC\\BIN\\x86_amd64\\link.exe' failed with exit status
1158

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "C:\Python\Python35\lib\site-packages\setuptools\sandbox.py", line 157, in save_modules
        yield saved
      File "C:\Python\Python35\lib\site-packages\setuptools\sandbox.py", line 198, in setup_context
        yield
      File "C:\Python\Python35\lib\site-packages\setuptools\sandbox.py", line 248, in run_setup
        DirectorySandbox(setup_dir).run(runner)
      File "C:\Python\Python35\lib\site-packages\setuptools\sandbox.py", line 278, in run
        return func()
      File "C:\Python\Python35\lib\site-packages\setuptools\sandbox.py", line 246, in runner
        _execfile(setup_script, ns)
      File "C:\Python\Python35\lib\site-packages\setuptools\sandbox.py", line 47, in _execfile
        exec(code, globals, locals)
      File "C:\Users\Dominic\AppData\Local\Temp\easy_install-ysjfyyah\Cython-0.26.1\setup.py", line 338, in <module>
      File "C:\Python\Python35\lib\distutils\core.py", line 163, in setup
        raise SystemExit("error: " + str(msg))
    SystemExit: error: command 'C:\\Program Files (x86)\\Microsoft Visual Studio 14.0\\VC\\BIN\\x86_amd64\\link.exe' failed with exit status 1158

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "C:\Python\Python35\lib\site-packages\setuptools\command\easy_install.py", line 1101, in run_setup
        run_setup(setup_script, args)
      File "C:\Python\Python35\lib\site-packages\setuptools\sandbox.py", line 251, in run_setup
        raise
      File "C:\Python\Python35\lib\contextlib.py", line 77, in __exit__
        self.gen.throw(type, value, traceback)
      File "C:\Python\Python35\lib\site-packages\setuptools\sandbox.py", line 198, in setup_context
        yield
      File "C:\Python\Python35\lib\contextlib.py", line 77, in __exit__
        self.gen.throw(type, value, traceback)
      File "C:\Python\Python35\lib\site-packages\setuptools\sandbox.py", line 169, in save_modules
        saved_exc.resume()
      File "C:\Python\Python35\lib\site-packages\setuptools\sandbox.py", line 144, in resume
        six.reraise(type, exc, self._tb)
      File "C:\Python\Python35\lib\site-packages\pkg_resources\_vendor\six.py", line 685, in reraise
        raise value.with_traceback(tb)
      File "C:\Python\Python35\lib\site-packages\setuptools\sandbox.py", line 157, in save_modules
        yield saved
      File "C:\Python\Python35\lib\site-packages\setuptools\sandbox.py", line 198, in setup_context
        yield
      File "C:\Python\Python35\lib\site-packages\setuptools\sandbox.py", line 248, in run_setup
        DirectorySandbox(setup_dir).run(runner)
      File "C:\Python\Python35\lib\site-packages\setuptools\sandbox.py", line 278, in run
        return func()
      File "C:\Python\Python35\lib\site-packages\setuptools\sandbox.py", line 246, in runner
        _execfile(setup_script, ns)
      File "C:\Python\Python35\lib\site-packages\setuptools\sandbox.py", line 47, in _execfile
        exec(code, globals, locals)
      File "C:\Users\Dominic\AppData\Local\Temp\easy_install-ysjfyyah\Cython-0.26.1\setup.py", line 338, in <module>
      File "C:\Python\Python35\lib\distutils\core.py", line 163, in setup
        raise SystemExit("error: " + str(msg))
    SystemExit: error: command 'C:\\Program Files (x86)\\Microsoft Visual Studio 14.0\\VC\\BIN\\x86_amd64\\link.exe' failed with exit status 1158

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "C:\Users\Dominic\AppData\Local\Temp\pip-build-y1cjgf5v\zipline\setup.py", line 317, in <module>
        **conditional_arguments
      File "C:\Python\Python35\lib\distutils\core.py", line 108, in setup
        _setup_distribution = dist = klass(attrs)
      File "C:\Python\Python35\lib\site-packages\setuptools\dist.py", line 315, in __init__
        self.fetch_build_eggs(attrs['setup_requires'])
      File "C:\Python\Python35\lib\site-packages\setuptools\dist.py", line 361, in fetch_build_eggs
        replace_conflicting=True,
      File "C:\Python\Python35\lib\site-packages\pkg_resources\__init__.py", line 850, in resolve
        dist = best[req.key] = env.best_match(req, ws, installer)
      File "C:\Python\Python35\lib\site-packages\pkg_resources\__init__.py", line 1122, in best_match
        return self.obtain(req, installer)
      File "C:\Python\Python35\lib\site-packages\pkg_resources\__init__.py", line 1134, in obtain
        return installer(requirement)
      File "C:\Python\Python35\lib\site-packages\setuptools\dist.py", line 429, in fetch_build_egg
        return cmd.easy_install(req)
      File "C:\Python\Python35\lib\site-packages\setuptools\command\easy_install.py", line 665, in easy_install
        return self.install_item(spec, dist.location, tmpdir, deps)
      File "C:\Python\Python35\lib\site-packages\setuptools\command\easy_install.py", line 695, in install_item
        dists = self.install_eggs(spec, download, tmpdir)
      File "C:\Python\Python35\lib\site-packages\setuptools\command\easy_install.py", line 876, in install_eggs
        return self.build_and_install(setup_script, setup_base)
      File "C:\Python\Python35\lib\site-packages\setuptools\command\easy_install.py", line 1115, in build_and_install
        self.run_setup(setup_script, setup_base, args)
      File "C:\Python\Python35\lib\site-packages\setuptools\command\easy_install.py", line 1103, in run_setup
        raise DistutilsError("Setup script exited with %s" % (v.args[0],))
    distutils.errors.DistutilsError: Setup script exited with error: command 'C:\\Program Files (x86)\\Microsoft Visual Studio 14.0\\VC\\BIN\\x86_amd6
4\\link.exe' failed with exit status 1158

    ----------------------------------------
I can't work out what I'm doing wrong.
The path to the build tools appear to be correct although there is no 'rc.exe' in the build tool directory.
Code:
LINK : fatal error LNK1158: cannot run 'rc.exe'
Do I need to use an earlier version of MS compiler? How can I change the build path it is using?

Has anyone else seen these kinds of problems before?